%define majorminor  %(echo %version | cut -d. -f 1-2)
%define apiver 0.7

Name:          libindicate
Version:       12.10.1
Release:       2mamba
Summary:       A library for applications to share small flags across DBus
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           https://launchpad.net/libindicate
Source:        http://launchpad.net/libindicate/%{majorminor}/%{version}/+download/libindicate-%{version}.tar.gz
Patch0:        %{name}-0.6.1-glib-2.32.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gtk-doc
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libdbus-glib-devel
BuildRequires: libdbusmenu-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libpango-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: gtk-doc
BuildRequires: gnome-doc-utils-devel
BuildRequires: gtk-sharp-devel
BuildRequires: libpython-devel
BuildRequires: pygobject-devel
BuildRequires: mono-devel
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Library to raise flags on DBus for other components of the desktop to pick up and visualize.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Library to raise flags on DBus for other components of the desktop to pick up and visualize.
This package contains static libraries and header files need for development.

%package gtk
Group:         System/Libraries
Summary:       A library for applications to share small flags across DBus
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description gtk
Library to raise flags on DBus for other components of the desktop to pick up and visualize.

%package gtk-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}-gtk
Requires:      %{name}-gtk = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description gtk-devel
Library to raise flags on DBus for other components of the desktop to pick up and visualize.
This package contains static libraries and header files need for development.

%package -n mono-indicate
Group:         System/Libraries
Summary:       A library for applications to share small flags across DBus
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n mono-indicate
Library to raise flags on DBus for other components of the desktop to pick up and visualize.

%package -n mono-indicate-gtk
Group:         System/Libraries
Summary:       A library for applications to share small flags across DBus
Requires:      %{name}-gtk = %{?epoch:%epoch:}%{version}-%{release}

%description -n mono-indicate-gtk
Library to raise flags on DBus for other components of the desktop to pick up and visualize.

%package -n python-indicate
Group:         System/Libraries
Summary:       Python bindings for the libindicate library
Requires:      python >= %python_version

%description -n python-indicate
Library to raise flags on DBus for other components of the desktop to pick up and visualize.

%package apidocs
Summary:       %{name} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{name} API documentation.

%prep
%setup -q
#%patch0 -p1

%build
%configure --disable-static
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# remove unpackaged files
rm -fr %{buildroot}%{_datadir}/doc/libindicate
rm -f %{buildroot}%{_libexecdir}/im-client
rm -f %{buildroot}%{_libexecdir}/indicate-*
rm -f %{buildroot}%{_libexecdir}/listen-and-print
rm -f %{buildroot}%{_libexecdir}/show-hide-server

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig
%postun gtk -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libindicate.so.*
%{_libdir}/girepository-1.0/Indicate-%{apiver}.typelib
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libindicate-%{apiver}/
%{_includedir}/libindicate-%{apiver}/*
%{_libdir}/libindicate.la
%{_libdir}/libindicate.so
%{_datadir}/gir-1.0/Indicate-%{apiver}.gir
%{_libdir}/pkgconfig/indicate-%{apiver}.pc
%{_datadir}/vala/vapi/Indicate-*.vapi

%files gtk
%defattr(-,root,root)
%{_libdir}/libindicate-gtk3.so.*
%{_libdir}/girepository-1.0/IndicateGtk3-%{apiver}.typelib

%files gtk-devel
%defattr(-,root,root)
%dir %{_includedir}/libindicate-gtk3-%{apiver}
%{_includedir}/libindicate-gtk3-%{apiver}/*
%{_libdir}/libindicate-gtk3.la
%{_libdir}/libindicate-gtk3.so
%{_libdir}/pkgconfig/indicate-gtk3-%{apiver}.pc
%{_datadir}/gir-1.0/IndicateGtk3-%{apiver}.gir
%{_datadir}/vala/vapi/IndicateGtk3-%{apiver}.vapi

%files -n mono-indicate
%defattr(-,root,root)
%{_libdir}/indicate-sharp-0.1
%{_prefix}/lib/mono/indicate
%{_prefix}/lib/mono/gac/indicate-sharp
%{_libdir}/pkgconfig/indicate-sharp-0.1.pc

%files -n mono-indicate-gtk
%defattr(-,root,root)
%{_libdir}/indicate-gtk-sharp-0.1
%{_prefix}/lib/mono/indicate-gtk
%{_prefix}/lib/mono/gac/indicate-gtk-sharp
%{_libdir}/pkgconfig/indicate-gtk-sharp-0.1.pc

%files -n python-indicate
%defattr(-,root,root)
%{python_sitearch}/indicate
%{_datadir}/pygtk/2.0/defs/indicate.defs
%doc examples/*.c examples/*.py

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/gtk-doc/html/libindicate
%{_datadir}/gtk-doc/html/libindicate/*

%changelog
* Tue May 28 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 12.10.1-2mamba
- python 2.7 rebuild

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 12.10.1-1mamba
- automatic version update by autodist

* Tue Aug 14 2012 Automatic Build System <autodist@mambasoft.it> 12.10.0-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5.0-1mamba
- update to 0.5.0

* Thu Aug 19 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.4.1-1mamba
- update to 0.4.1

* Sat Jan 23 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.2.3-1mamba
- package created by autospec
